MAC(Mountain Lion) python2.7 + eclipse开发环境配置

0

首先MAC原生支持python2.7,只要打开terminal,输入python就ok了。
如何需要在Eclipse中使用python,可以进行简单的配置:
1. 首先去Elipse下载应用程序,解压后放入应用程序就可以了
http://www.eclipse.org/downloads/
2. 打开Elipse,选择 hlep -> Install New Software
eclipse-python-01

3. 输入 http://pydev.org/updates 点击 Next,完成安装,重启
eclipse-python-02
4. 点击Eclipse -> Preference
eclipse-python-03
5. 添加python编译器
eclipse-python-04
6. 报错:“Error: Python stdlib not found or stdlib found without .py files.
7. 好吧,Google,发现是已知问题,你要去Apple Developer注册一个账号,然后下载“command line tools”并安装,重启Eclipse,重复之前的步骤,搞定
eclipse-python-05
8. 新建一个project,选择PyDev Project
eclipse-python-06
9. 起一个project的name,并选择创建“src” folder,finish
eclipse-python-07
10.建立一个PyDev Module
eclipse-python-08
11.第一个python程序hello world,报错了。。。shit
eclipse-python-09
12.估计注释里的中文导致的,去了中文就ok了,但是中文注释还是很方便的,那么如何解决呢?好像光改Eclipse也不行,Python3.0以后才支持中文,以后用到3.0时再说吧。

本文出自 Frank's Blog

版权声明:


本文链接:MAC(Mountain Lion) python2.7 + eclipse开发环境配置
版权声明:本文为原创文章,仅代表个人观点,版权归 Frank Zhao 所有,转载时请注明本文出处及文章链接
你可以留言,或者trackback 从你的网站

留言哦

blonde teen swallows load.xxx videos